# vim: set ts=4 sw=4 et:
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

#
# spec file for package libtar
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.


Name:           libtar
Summary:        Tar file manipulation API
Version:        1.2.11
%define soname  1
Release:        1.3
License:        MIT
Group:          System/Libraries
URL:            http://www.feep.net/libtar/
Requires:       libtar1 = %{version}
BuildRequires:  zlib-devel 
BuildRequires:  libtool 
# >= 2.2.6
BuildRequires:  fdupes
Source0:        ftp://ftp.feep.net/pub/software/libtar/libtar-%{version}.tar.gz
Source1:        libtar-rpmlintrc
Patch0:         http://ftp.debian.org/debian/pool/main/libt/libtar/libtar_1.2.11-6.diff.gz
Patch1:         libtar-1.2.11-tar_header.patch
Patch2:         libtar-fix_implicit.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
libtar is a C library for manipulating POSIX tar files. 
It handles adding and extracting files to/from a tar archive.

%package -n libtar%{soname}
Summary:        Tar file manipulation API
Group:          System/Libraries

%description -n libtar%{soname}
This package contains the shared library needed for libtar.

%package        devel
Summary:        Development files for libtar
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description    devel
The libtar-devel package contains libraries and header files for
developing applications that use libtar.

%prep
%setup -q
%patch0 -p1 -z .deb
%patch1 -p1 -b .tar_header
%patch2
# set correct version for .so build
%define ltversion %(echo %{version} | tr '.' ':')
sed -i 's/-rpath $(libdir)/-rpath $(libdir) -version-number %{ltversion}/' \
  lib/Makefile.in


%build
cp /usr/share/libtool/config/config.sub /usr/share/libtool/config/ltmain.sh autoconf
%configure --disable-static
# Don't use rpath!
cp /usr/bin/libtool .
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?jobs:-j %jobs}

%install
%makeinstall
# Without this we get no debuginfo and stripping
chmod +x $RPM_BUILD_ROOT%{_libdir}/libtar.so.%{version}
rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/*.a
%fdupes -s %{buildroot}%{_mandir}

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post   -n libtar%{soname} -p /sbin/ldconfig
%postun -n libtar%{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYRIGHT TODO README ChangeLog*
%{_bindir}/%{name}

%files -n libtar%{soname}
%defattr(-,root,root,-)
%{_libdir}/libtar.so.%{soname}
%{_libdir}/libtar.so.%{soname}.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libtar.h
%{_includedir}/libtar_listhash.h
%{_libdir}/libtar.so
%{_mandir}/man3/*.3*

%changelog
* Tue Apr  3 2012 pascal.bleser@opensuse.org
- fix missing function declaration
- minor spec file fixes
- based on the libtar package from the Education repository on
  build.opensuse.org
* Fri Jun  4 2010 joop.boonen@opensuse.org
- build patch version libtar 1.2.11-6
- Using the fedora project buffer overflowpatch
- http://cvs.fedoraproject.org/viewvc//devel/libtar/
* Sun Mar 15 2009 lars@linux-schulserver.de
- build for openSUSE-Education (stopmotion needs it)
- fix rpmlint warnings
- split out libtar1
* Fri Dec 12 2008 Malcolm Lewis <coyoteuser@gmail.com> 1.2.11-18
- Hacked for libtool => 2.2.6
- Initial build for openSUSE build service
